Subject: Re: dcbz not used on ppc64?

From: Chris Friesen <[email-masked]>
Date: Mon, 03 Jan 2005 17:34:58 -0600

Anton Blanchard wrote:

>>1) Is it in fact true that ppc64 does not use dcbz in the kernel?
>>2) If so, why not?  Presumably it would be a win in some cases, 
>>otherwise they wouldn't be using it in ppc32.  Is there some other 
>>factore in play for ppc64?
> 
> 
> include/asm-ppc64/page.h:clear_page() uses it:

Hmm.  As of 2.6.9 at least, clear_page() is only ever called by 
clear_user_page(), which in turn is only ever called by 
drivers/media/video/video-buf.c.  I'm not using that driver, which 
explains why the instruction didn't show up when I disassembled the kernel.

Still, ppc32 also uses it in cacheable_memzero and __copy_tofrom_user. 
It's also used in cacheable_memcpy, but that routine doesn't seem to be 
used anywhere.

Chris